Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Interface ToBeEncrypted

All Known Subinterfaces:
  ToBeEncryptedXML

All Known Implementing Classes:
  DOMToBeEncryptedXML, ToBeEncryptedKey, ToBeEncryptedOctetStream

    public interface ToBeEncrypted

An abstract representation to all to-be-encrypted classes. It defines the common fields (Type, MimeType and Encoding) of `EncryptedType`.

See Also:
  `EncryptedType`, `ToBeEncryptedKey`, `ToBeEncryptedOctetStream`, `ToBeEncryptedXML`

Method Summary
`java.lang.String` | `getEncoding()` Returns a URI identifying the transfer encoding of the data that has been encrypted.
`java.lang.String` | `getMimeType()` Returns the mime type of the data that has been encrypted.
`java.lang.String` | `getType()` Returns a URI identifying the type of the plaintext form of the encrypted content.

Method Detail

### getType

    java.lang.String getType()

  Returns a URI identifying the type of the plaintext form of the encrypted content.

  Returns:
    the type, or `null` if not specified

### getMimeType

    java.lang.String getMimeType()

  Returns the mime type of the data that has been encrypted. Mime type decribes the media type of the data which has been encrypted. The value of this attribute is a string with values defined by http://www.ietf.org/rfc/rfc2045.txt.

  Returns:
    the mime type, or `null` if not specified

### getEncoding

    java.lang.String getEncoding()

  Returns a URI identifying the transfer encoding of the data that has been encrypted.

  Returns:
    the encoding, or `null` if not specified

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org